<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('6','views','R');     
$_SESSION['cuPages']='opr_lclist.php';   
$cuPage='opr_lclist.php';    
$aid=$_SESSION['uid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='lc';
$menuh='LC Setup';
$phead='lcist';
$page='LC List';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['dellc'])){
$id=$_POST['dellc'];
/*if(delete_check('tbl_invoice','pino',$id)>0){
save_msg('w','Unit Depend On Other Table!!!');
echo "<script>window.location='mas_unitlist.php'</script>";
return;    
}*/
$name= get_fild_data('tbl_lcopen',$id,'lcno');   
$sql="DELETE FROM tbl_lcopen WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){    
$act =remove_junk(escape('LC No: '.$name));    
write_activity($aid,'LCN','LC No has been deleted',$act);        
save_msg('s','LC Successfully Deleted!!!');
}else{
save_msg('w','LC Fail to Delete!!!');   
}
echo "<script>window.location='opr_lclist.php'</script>";     
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-10">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">L.C. Record</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px; text-align:center;">SN</th>   
<th>Date</th>
<th>L.C. No</th>
<th>P.I. No</th>
<th>PI Date</th>
<th>Expired Date</th>
<th>Shipment Date</th>   
<th>A.Bank</th>  
<th>B.Bank</th>
<th>USD</th>
<th style="width:40px; text-align:center;">Action</th>    
</tr>
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_lcopen ORDER BY id DESC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
$pino=$row['pino'];
$sql1="SELECT * FROM tbl_proinv Where pino='$pino'"; 
$query1=mysqli_query($con,$sql1)or die(mysqli_error($con));
$row1=mysqli_fetch_array($query1);
$pidate=$row1['apdate'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>
<td><?php echo date("d M Y", strtotime($row['doi']));?></td>        
<td><?php echo $row['lcno'];?></td>
<td><?php echo $row['pino'];?></td> 
<td><?php echo date("d M Y", strtotime($pidate));?></td>    
<td><?php echo date("d M Y", strtotime($row['expdate']));?></td> 
<td><?php echo date("d M Y", strtotime($row['ldos']));?></td>   
<td><?php echo $row['apbank'];?></td>  
<td><?php echo $row['bnbank'];?></td>    
<td><?php echo $row['usd'];?></td>  
<td nowrap="">
<a class="btn btn-flat bg-purple" href="#" onclick="edit_item('ED_<?php echo $row['id'];?>')"><i class="fa fa-edit"></i></a> 
<a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="opr_lclist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="dellc" value="<?php echo $row['id']; ?>" />
</form>
<form action="opr_lcedit.php" id="ED_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="editlc" value="<?php echo $row['id']; ?>" />
</form>    
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="opr_lcgen.php" class="btn btn-flat bg-purple">Add L.C.</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-2">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'LCN','A');}else{echo read_activity($aid,'LCN','U');}?>
</div>
</div>
</div>
</div>
</div>
</div> 

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
} );
function edit_item(id) {
document.getElementById(id).submit(); 
}
function remove_item(id) {
bootbox.confirm({
title: "Confirm",
message: "Are you sure to delete ?",
buttons: {
confirm: {
label: 'Yes',
className: 'btn-flat bg-purple'
},
cancel: {
label: 'Cancel',
className: 'btn-flat bg-gray'
}
},
callback: function (result) {
if (result == true) {
document.getElementById(id).submit();
}
}
});

}
</script>    
<!-- /page script -->
</html>    